### File

`packages/components/layout/eui-app/eui-app.component.ts`

### Implements

`OnInit` `OnDestroy` `OnChanges` `AfterContentInit`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-app`
imports | `RouterOutlet` `AsyncPipe` `EUI_APP_SIDEBAR` `EUI_APP_TOOLBAR` `EUI_TOOLBAR` `EUI_USER_PROFILE` `EUI_GROWL` `EUI_DIMMER` `EUI_BLOCK_DOCUMENT`
templateUrl | `./eui-app.component.html`
styleUrl | `./_styles/_index.scss`

### Index

###### Properties
appSidebar appToolbar asService cssClasses customPageWrapper euiGrowlService hasNoPageWrapper isViewLoaded
###### Inputs
appSubTitle isShrinkHeaderActive isSidebarHidden isSidebarOpen themeClass
###### HostBindings
class

### Inputs

appSubTitle
Type : `string`
Default value : `''`

isShrinkHeaderActive
Type : `boolean`
Default value : `true`

isSidebarHidden
Type : `boolean`
Default value : `false`

isSidebarOpen
Type : `boolean`
Default value : `true`

themeClass
Type : `string`
Default value : `''`

### HostBindings

class
Type : `string`
Default value : `'eui-app'`

### Properties

appSidebar
Type : `EuiAppSidebarComponent`
Decorators : `@ContentChild(undefined)`

appToolbar
Type : `EuiAppToolbarComponent`
Decorators : `@ContentChild(undefined)`

asService
Default value : `inject(EuiAppShellService)`

cssClasses
Type : `string`
Default value : `'eui-app'`
Decorators : `@HostBinding('class')`

customPageWrapper
Type : `EuiAppPageWrapperDirective`
Decorators : `@ContentChild(undefined)`

euiGrowlService
Default value : `inject(EuiGrowlService)`

hasNoPageWrapper
Default value : `false`

isViewLoaded
Type : `boolean`

# results matching ""

# No results matching ""